
Colony - Task #947

Wireless - send wrappers, high level secure ack behavior

11/27/2009 12:47 PM - David Schultz

Status: Fixed Start date: 11/23/2009

Priority: High Due date:  

Assignee: Ben Wasserman % Done: 100%

Category: Wireless Estimated time: 0.00 hour

Target version:    

Description

History

#1 - 11/27/2009 12:54 PM - David Schultz

- Category set to Wireless

#2 - 01/10/2010 09:40 PM - Ben Wasserman

- % Done changed from 0 to 30

#3 - 01/13/2010 09:37 PM - Ben Wasserman

- % Done changed from 30 to 40

Primarily done with send wrappers. Send Basic may require some examination. And all send wrappers need to be double checked.

#4 - 01/18/2010 05:30 PM - Ben Wasserman

send_global needs one of the variables fixed (it sends to PAN not to GLOBAL). I'm aware, and just need to update the repository. My other task of

being able to tag a packet group as needing an independent ACK (for extra security) may or may not be implemented, dependent on the complexity

of integrating that functionality with the rest of the library without breaking anything.

#5 - 01/19/2010 03:40 PM - Ben Wasserman

- % Done changed from 40 to 60

The error in wl_send_global was fixed when David uploaded his fixes to the repository. High level ack functionality under examination, but unlikely to

be implemented.

#6 - 10/02/2010 07:07 PM - Alex Zirbel

- Status changed from Assigned to Fixed

- % Done changed from 60 to 100
